# Type alias CircleTransferDetails

CircleTransferDetails: {
amount: bigint;
automatic?: boolean;
from: ChainAddress;
nativeGas?: bigint;
payload?: Uint8Array;
to: ChainAddress;
}

#### Type declaration

- ##### amount: bigint

- ##### `Optional` automatic?: boolean

- ##### from: ChainAddress

- ##### `Optional` nativeGas?: bigint

- ##### `Optional` payload?: Uint8Array

- ##### to: ChainAddress

- Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:41

Generated using TypeDoc